package com.palmnest.application.dto.output;

import java.io.Serializable;

/**
 * 公告通知首页脚标数量
 * @author wangxz
 *
 * 2018年5月18日
 */
public class NoticeSumIndexDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 7739457348314154251L;
	
	private Integer appNoticeTotal; 
	private Integer wxMessageTotal; 
	private Integer phoneMessageTotal;
	private Integer emailMessageTotal;
	
	public NoticeSumIndexDto() {
		
	}

	
	public NoticeSumIndexDto(Integer appNoticeTotal, Integer wxMessageTotal, Integer phoneMessageTotal,
			Integer emailMessageTotal) {
		super();
		this.appNoticeTotal = appNoticeTotal;
		this.wxMessageTotal = wxMessageTotal;
		this.phoneMessageTotal = phoneMessageTotal;
		this.emailMessageTotal = emailMessageTotal;
	}


	public Integer getAppNoticeTotal() {
		return appNoticeTotal;
	}

	public void setAppNoticeTotal(Integer appNoticeTotal) {
		this.appNoticeTotal = appNoticeTotal;
	}

	public Integer getWxMessageTotal() {
		return wxMessageTotal;
	}

	public void setWxMessageTotal(Integer wxMessageTotal) {
		this.wxMessageTotal = wxMessageTotal;
	}

	public Integer getPhoneMessageTotal() {
		return phoneMessageTotal;
	}

	public void setPhoneMessageTotal(Integer phoneMessageTotal) {
		this.phoneMessageTotal = phoneMessageTotal;
	}

	public Integer getEmailMessageTotal() {
		return emailMessageTotal;
	}

	public void setEmailMessageTotal(Integer emailMessageTotal) {
		this.emailMessageTotal = emailMessageTotal;
	}
	
}
